<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>
 
</head>


<BODY onLoad="parametros.nombre.focus();">
<?php


include "../conexion.php";
$id="";$nombre="";$estado="";$descripcion="";
$preciounitario="";$precioventa="";$productofamilia="";$marca="";$iva="";$codigobarra="";
$rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM Producto_familia where estado='A'
					  union 
					  select 0,' ' from Producto_familia	
 					  order by nombre asc");
					  
$rs_marca=mysqli_query($conexion,"SELECT id,nombre FROM marca where estado='A'
					  union 
					  select 0,' ' from marca	
 					  order by nombre asc");					  
							  
if(isset($_REQUEST["oculto"]))
{ 
       	//$id=$_REQUEST["id"];   		
		$nombre=$_REQUEST["nombre"];  		
		//$estado=$_REQUEST["estado"];
		//$productofamilia=$_REQUEST["productofamilia"];
		//$marca=$_REQUEST["marca"];		
		//$codigobarra=$_REQUEST["codigobarra"];  
}


?>
<form name="parametros" method="post" action="" >
<div id="informes" class="container text-center" style="width:100%;">
    <div class="panel panel-default">
      <div class="panel-heading" align="left"> BUSCAR PRODUCTO</div>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                    <tr> 
                      <td height="1"> Descripcion                      </td>
                      <td height="1" colspan="5"><div align="left">
                        <textarea name="nombre" cols="40" id="nombre" onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'" 
                        class="form-control" data-placement="right" title="Digite Descripcion" 
                        onkeypress="if(event.keyCode==13){Obuscar.value=1;submit();} javascript:return displayKeyCode(event); "
                        ONKEYDOWN="javascript:return displayKeyCode(event)"  ><?php echo $nombre; ?></textarea>
                      </div></td>
                      <td height="0" colspan="6" align="center">
                        <strong>
                        <input name="buscar3" type="submit" id="buscar3" value="Buscar" title="Clic para Buscar"  class="btn btn-primary" onClick="Obuscar.value=1;" >
                        
                        </strong>
                        <input name="buscar" type="hidden" id="buscar3" value="Busca" title="Clic para Buscar" class="btn1" onClick="jq_busca_datos_parametros(document.parametros.id.value,'producto');" >
                        <input name="oguardar" type="hidden" id="oguardar2">
                        <input name="Obuscar" type="hidden" id="Obuscar2">
                        <input name="omodificar" type="hidden" id="omodificar2">
                        <input name="oreporte" type="hidden" id="oreporte2">
                        <input name="obuscadato" type="hidden" id="obuscadato2">
                      <input name="oculto" type="hidden" id="oculto2">                      <strong><img src='../imagenes/salir.png' width='30px' height='30px' 
						 onClick="javascript:window.close();" title="Clic para Cerrar"  /></strong></td>
                    </tr>
                  </table>
                    
</TD>
                </TR>
            </TBODY>
            </TABLE>
 </div>
</div>  

  
 <?php
 
if($_REQUEST["Obuscar"]==1)
{
        //if($id>0){$sqlid=" and id='".$id."'";}else{$sqlid="";}
		$nombre=str_replace('*','%',$nombre);
		if($nombre<>""){$sqlnombre=" and nombre like '%".$nombre."%'";}else{$sqlnombre="";}
		//if($codigobarra>0){$sqlcodigobarra=" and codigobarra='".$codigobarra."'";}else{$sqlcodigobarra="";}
 
		  $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from producto
									where estado='A'
									$sqlnombre");
		 while($datosrs= mysqli_fetch_row($sql_datosrs)){ $contar=$datosrs[0];}
		  if($contar>=1)
		  {
			 echo "<center> <table width='100%' border='1' cellpadding='0' cellspacing='0' class='table table-hover' >";
						echo "<tr>";
						echo "<td class='btn-primary' align='center'>Codigo</td>";
						echo "<td class='btn-primary' align='center'>Saldo</td>";
						echo "<td class='btn-primary' align='center'>Nombre</td>";						
						echo "<td class='btn-primary' align='center'>Precio Venta</td>";			
						echo "<td class='btn-primary' align='center'>Grupo</td>";						
						echo "<td class='btn-primary' align='center'>Codigo Barra</td>";
						
						echo "</tr>";
			  
			  $sql_datosrs=mysqli_query($conexion,"SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,
										codigobarra,estado,ubicacion,cantidadpaquete,paqueteunidad,preciopaquete,linea,grupo,unidad
										 from producto
										where estado='A'
										$sqlnombre
										order by nombre asc");
				$c=1;
				 while($datos= mysqli_fetch_row($sql_datosrs))//04
					{
						 $id=$datos[0];
						 $nombre=$datos[1];
						 $descripcion=$datos[2];
						 $preciounitario=$datos[3];
						 $precioventa=$datos[4];
						 $productofamilia=$datos[5];
						 $marca=$datos[6];
						 $iva=$datos[7];
						 $codigobarra=$datos[8];
						 $estado=$datos[9];
						 $ubicacion=$datos[10];
						 $cantidadpaquete=$datos[11];
					     $paqueteunidad=$datos[12];
					     $preciopaquete=$datos[13];
						 $linea=$datos[14];
						 $grupo=$datos[15];
						 $unidad=$datos[16];
						 
						 $sumaventa=0;
						  
						  $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM linea where id='".$linea."'");
						   while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $nlinea=$datosrs[1];}
						   
						   $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM grupo where id='".$grupo."'");
						   while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ngrupo=$datosrs[1];}
						  
						  /*$rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM Producto_familia where id='".$productofamilia."'");
						   while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $nfamilia=$datosrs[1];}
						   */
						  $nmarca="";
						   $rs_marca=mysqli_query($conexion,"SELECT id,nombre FROM marca where id='".$marca."'");
						   while($datosrs= mysqli_fetch_row($rs_marca)){ $nmarca=$datosrs[1];}
						   
						   $rs_ubicacion=mysqli_query($conexion,"SELECT id,nombre FROM ubicacion where id='".$ubicacion."'");
						   while($datosrs= mysqli_fetch_row($rs_ubicacion)){ $nubicacion=$datosrs[1];}
						   
						   $sql_inv=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad from inventario where producto='".$id."'");
						   while($datosrs= mysqli_fetch_row($sql_inv)){ $cantidadinv=$datosrs[0];}
							 
							
							//sacamos ventas de unidad
							 $sql_datosventas=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad,sum(total) as total from venta
														 where producto='".$id."' and estado='F' and paqueteunidad='U'");
							while($datosrs= mysqli_fetch_row($sql_datosventas)){ $cantidadv=$datosrs[0];}
							 $sumaventa=$sumaventa+$cantidadv;
							 //$sumatotalv=$sumatotalv+$total;
											 
							 //sacamos ventas de paquete
							 $sql_datosventas=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad,sum(total) as total from venta
														   where producto='".$id."' and estado='F' and paqueteunidad='P'");
							 while($datosrs= mysqli_fetch_row($sql_datosventas)){ $cantidadv_P=$datosrs[0];}
							 //sacamos la cantidad de unidades por venta de producto unidad
							 $cantidadv=$cantidadpaquete*$cantidadv_P;
							 $sumaventa=$sumaventa+$cantidadv;
							 //$sumatotalv=$sumatotalv+$total;
						
							$saldo=$cantidadinv-$sumaventa;
						 
						 if($saldo>0){$colorinv="#009933";} else {$colorinv="";}
						 						 
												 
						  echo "<tr onClick='window.opener.parametros.id.value=$id;window.opener.parametros.Obuscar.value=1;window.opener.parametros.submit();window.close();'>";
							  echo "<td align='center' ><input name='volver' type='submit' id='volver' style='width:70px;' value='$id' class='btn btn-primary'  title='Clic para llevar datos'
                            onClick='window.opener.parametros.id.value=$id;window.opener.parametros.Obuscar.value=1;window.opener.parametros.submit();window.close();'>
						   </td>	
						   
						   <td bgcolor=$colorinv>$saldo</td>																					
							 <td>$nombre<br>$descripcion</td>							 							 
							 <td style='font-size:20px;'><div align='right'>".number_format($precioventa)."</div></td>	
							 <td>$ngrupo <br>Marca: $nmarca</td>
							 <td>$codigobarra</font></td>			
							</tr>";
							$c++;
							$sumaventa=0;
					} 
					 echo "</table></center>";
		   } 
}
 ?> 


<script type="text/javascript">
 <!--
 function displayKeyCode(evt)
 {
	 var charCode = (evt.which) ? evt.which : event.keyCode
	 if (charCode == 27) {javascript:window.close(); }//  escape
	 if (charCode == 13) { window.reload(); }//  escape

	 /*textBox.value = String.fromCharCode(charCode);
	 if (charCode == 8) textBox.value = "backspace"; //  backspace
	 if (charCode == 9) textBox.value = "tab"; //  tab
	 if (charCode == 13) textBox.value = "enter"; //  enter
	 if (charCode == 16) textBox.value = "shift"; //  shift
	 if (charCode == 17) textBox.value = "ctrl"; //  ctrl
	 if (charCode == 18) textBox.value = "alt"; //  alt
	 if (charCode == 19) textBox.value = "pause/break"; //  pause/break
	 if (charCode == 20) textBox.value = "caps lock"; //  caps lock
	 if (charCode == 27) textBox.value = "escape"; //  escape
	 if (charCode == 33) textBox.value = "page up"; // page up, to avoid displaying alternate character and confusing people	         
	 if (charCode == 34) textBox.value = "page down"; // page down
	 if (charCode == 35) textBox.value = "end"; // end
	 if (charCode == 36) textBox.value = "home"; // home
	 if (charCode == 37) textBox.value = "left arrow"; // left arrow
	 if (charCode == 38) textBox.value = "up arrow"; // up arrow
	 if (charCode == 39) textBox.value = "right arrow"; // right arrow
	 if (charCode == 40) textBox.value = "down arrow"; // down arrow
	 if (charCode == 45) textBox.value = "insert"; // insert
	 if (charCode == 46) textBox.value = "delete"; // delete
	 if (charCode == 91) textBox.value = "left window"; // left window
	 if (charCode == 92) textBox.value = "right window"; // right window
	 if (charCode == 93) textBox.value = "select key"; // select key
	 if (charCode == 96) textBox.value = "numpad 0"; // numpad 0
	 if (charCode == 97) textBox.value = "numpad 1"; // numpad 1
	 if (charCode == 98) textBox.value = "numpad 2"; // numpad 2
	 if (charCode == 99) textBox.value = "numpad 3"; // numpad 3
	 if (charCode == 100) textBox.value = "numpad 4"; // numpad 4
	 if (charCode == 101) textBox.value = "numpad 5"; // numpad 5
	 if (charCode == 102) textBox.value = "numpad 6"; // numpad 6
	 if (charCode == 103) textBox.value = "numpad 7"; // numpad 7
	 if (charCode == 104) textBox.value = "numpad 8"; // numpad 8
	 if (charCode == 105) textBox.value = "numpad 9"; // numpad 9
	 if (charCode == 106) textBox.value = "multiply"; // multiply
	 if (charCode == 107) textBox.value = "add"; // add
	 if (charCode == 109) textBox.value = "subtract"; // subtract
	 if (charCode == 110) textBox.value = "decimal point"; // decimal point
	 if (charCode == 111) textBox.value = "divide"; // divide
	 if (charCode == 112) textBox.value = "F1"; // F1
	 if (charCode == 113) textBox.value = "F2"; // F2
	 if (charCode == 114) textBox.value = "F3"; // F3
	 if (charCode == 115) textBox.value = "F4"; // F4
	 if (charCode == 116) textBox.value = "F5"; // F5
	 if (charCode == 117) textBox.value = "F6"; // F6
	 if (charCode == 118) textBox.value = "F7"; // F7
	 if (charCode == 119) textBox.value = "F8"; // F8
	 if (charCode == 120) textBox.value = "F9"; // F9
	 if (charCode == 121) textBox.value = "F10"; // F10
	 if (charCode == 122) textBox.value = "F11"; // F11
	 if (charCode == 123) textBox.value = "F12"; // F12
	 if (charCode == 144) textBox.value = "num lock"; // num lock
	 if (charCode == 145) textBox.value = "scroll lock"; // scroll lock
	 if (charCode == 186) textBox.value = ";"; // semi-colon
	 if (charCode == 187) textBox.value = "="; // equal-sign
	 if (charCode == 188) textBox.value = ","; // comma
	 if (charCode == 189) textBox.value = "-"; // dash
	 if (charCode == 190) textBox.value = "."; // period
	 if (charCode == 191) textBox.value = "/"; // forward slash
	 if (charCode == 192) textBox.value = "`"; // grave accent
	 if (charCode == 219) textBox.value = "["; // open bracket
	 if (charCode == 220) textBox.value = "\\"; // back slash
	 if (charCode == 221) textBox.value = "]"; // close bracket
	 if (charCode == 222) textBox.value = "'"; // single quote
	 */

	 var lblCharCode = getObject('spnCode');
	lblCharCode.innerHTML = 'KeyCode:  ' + charCode;

	return false;

 }
 function getObject(obj)
  {
	  var theObj;
	  if (document.all) {
		  if (typeof obj=='string') {
			  return document.all(obj);
		  } else {
			  return obj.style;
		  }
	  }
	  if (document.getElementById) {
		  if (typeof obj=='string') {
			  return document.getElementById(obj);
		  } else {
			  return obj.style;
		  }
	  }
	  return null;
  }
 //-->

</script>




<script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	// Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>
  
</form>
<div id="resultado"></div>
</body>
</html>
